import request from '@/utils/request'

// 查询商家管理列表
export function listShop(query) {
  return request({
    url: '/business/shop/list',
    method: 'get',
    params: query
  })
}

// 查询商家管理详细
export function getShop(id) {
  return request({
    url: '/business/shop/' + id,
    method: 'get'
  })
}

// 新增商家管理
export function addShop(data) {
  return request({
    url: '/business/shop',
    method: 'post',
    data: data
  })
}

// 修改商家管理
export function updateShop(data) {
  return request({
    url: '/business/shop',
    method: 'put',
    data: data
  })
}

// 修改商家电话管理
export function updateShopPhone(data) {
  return request({
    url: '/business/shop/updatePhone',
    method: 'get',
    params: data
  })
}

export function auditShop(data) {
  return request({
    url: '/business/shop/audit',
    method: 'put',
    data: data
  })
}


// 删除商家管理
export function delShop(id) {
  return request({
    url: '/business/shop/' + id,
    method: 'delete'
  })
}

// 检查商家管理
export function checkShop(id) {
  return request({
    url: '/business/shop/checkShop',
    method: 'get',
    params:{id:id}
  })
}

// 修改商家金额
export function initAmountShop(data) {
  return request({
    url: '/business/shop/updateInitAmount',
    method: 'post',
    data: data
  })
}


// 查询商家管理列表
export function listIncsShopLogs(query) {
  return request({
    url: '/business/shop/initAmount/page',
    method: 'get',
    params: query
  })
}
